import request from "@/utils/request";
import { BaseResult } from "@/models/base";

const TwistApi = {
  // 获取拉丝详情
  getTwistDetailById(params: any) {
    return request<BaseResult<any>>({
      url: "/app/getById1",
      method: "GET",
      data: params,
    });
  },

  // 新增绞丝报工
  addTwistOutput(data: any) {
    return request<BaseResult<any>>({
      url: "/app/addWireOutput1",
      method: "POST",
      data: data,
    });
  },

  // 单丝领用扫码
  getScarn(params: any) {
    return request<BaseResult<any>>({
      url: "/app/scarn",
      method: "GET",
      data: params,
    });
  },

  addStrandedWireDish(data: any) {
    return request<BaseResult<any>>({
      url: "/app/addStrandedWireDish",
      method: "POST",
      data: data,
    });
  },
};

export default TwistApi;
